# Git tutorial - session
We are going to do some exercises in this dummy project.

It is very simple, only consists in a HTML file and a CSS file and you will have to write some style definitions there. In the end the idea is to get a big HTML file with many `<div>` parts, each one in a different style.

In this tutorial you will learn how to make commits in the Git project, to create several branches, to push things to GitHub, and to follow a standard procedure to develop collaboratively. Afterwards, you should apply the same methods to any other collaborative development inside your department. The objectives will be achieved gradually following these topics:

1.     [Set up your working environment](https://gogs.elic.ucl.ac.be/TECLIM/Git_Training/src/master/project/windows/working_environment)
2.     [Prepare issues](https://gogs.elic.ucl.ac.be/TECLIM/Git_Training/src/master/project/windows/issues)
3.     [Prepare branches](https://gogs.elic.ucl.ac.be/TECLIM/Git_Training/src/master/project/windows/branches)
4.     [Add new content](https://gogs.elic.ucl.ac.be/TECLIM/Git_Training/src/master/project/windows/functions)
5.     [Create pull request](https://gogs.elic.ucl.ac.be/TECLIM/Git_Training/src/master/project/windows/pull_request)
6.     [Review and test others' branches](https://gogs.elic.ucl.ac.be/TECLIM/Git_Training/src/master/project/windows/review)
7.     [Pull master changes](https://gogs.elic.ucl.ac.be/TECLIM/Git_Training/src/master/project/windows/pull_master)
