# Prepare branches

Branching means you diverge from the main line of development and continue to do work without messing with that main line. Branches are instances of a repository that can be edited and version controlled in parallel. You can think of it like making an entire copy of your repository folder that you can edit, without affecting the original versions of your scripts.

## Exercise 5 – Create branch in Git_Training project

Branches are very useful when many people are working on the same project. Such cases are premises for lots and lots of conflicts. With branches the developers have the possibility to work on separate parts of the project without causing conflicts. When one developer finishes the feature that they are working on – the branch can be merged with the main one.

Create the new branch checking off from “master” branch (Here the branch name is: develop).

|||
| -------- | -------- |
| ![Git-Bash-14.png](https://gogs.elic.ucl.ac.be/TECLIM/Git_Training/raw/master/resources/14.png) | ![Git-Bash-15.png](https://gogs.elic.ucl.ac.be/TECLIM/Git_Training/raw/master/resources/15.png) |

`<branch_name>` could be the name of the PC you are working on.

Switch to that branch

|||
| -------- | -------- |
| ![Git-Bash-16.png](https://gogs.elic.ucl.ac.be/TECLIM/Git_Training/raw/master/resources/16.png) | ![Git-Bash-17.png](https://gogs.elic.ucl.ac.be/TECLIM/Git_Training/raw/master/resources/17.png) |
| ![Git-Bash-18.png](https://gogs.elic.ucl.ac.be/TECLIM/Git_Training/raw/master/resources/18.png) | |
