# Git_Training

## Git cheat sheet

- [git-cheat-sheet.pdf](git-cheat-sheet.pdf)
- [git-refcard.pdf](git-refcard.pdf)
- [github-git-cheat-sheet.pdf](github-git-cheat-sheet.pdf)

## Git for Windows or Mac OS X

### Windows integration

Download and install Git for Windows from: [gitforwindows.org](https://gitforwindows.org/)

This installs a minimal Unix style shell (called `git-bash`), the basic OpenSSH tools as well as git.

During install select the following (for any other options given choose the defaults):

|||
| -------- | -------- |
|![Git-Bash-A.png](https://zwartell.gitlab.io/Git_Tutorial_and_Coding_Standards/images/Git-Bash-A.png) |![Git-Bash-B.png](https://zwartell.gitlab.io/Git_Tutorial_and_Coding_Standards/images/Git-Bash-B.png) |
|![Git-Bash-C.png](https://zwartell.gitlab.io/Git_Tutorial_and_Coding_Standards/images/Git-Bash-C.png) |![Git-Bash-D.png](https://zwartell.gitlab.io/Git_Tutorial_and_Coding_Standards/images/Git-Bash-D.png) |
|![Git-Bash-E.png](https://zwartell.gitlab.io/Git_Tutorial_and_Coding_Standards/images/Git-Bash-E.png) |![Git-Bash-F.png](https://zwartell.gitlab.io/Git_Tutorial_and_Coding_Standards/images/Git-Bash-F.png) |
|![Git-Bash-G.png](https://zwartell.gitlab.io/Git_Tutorial_and_Coding_Standards/images/Git-Bash-G.png) |![Git-Bash-H.png](https://zwartell.gitlab.io/Git_Tutorial_and_Coding_Standards/images/Git-Bash-H.png) |
|![Git-Bash-I.png](https://zwartell.gitlab.io/Git_Tutorial_and_Coding_Standards/images/Git-Bash-I.png) |![Git-Bash-J.png](https://zwartell.gitlab.io/Git_Tutorial_and_Coding_Standards/images/Git-Bash-J.png) |

> You should use [Visual Studio Code](https://code.visualstudio.com/download) as default editor. 

Setup of Git GUI’s: download and install TortoiseGit from [tortoisegit.org](https://tortoisegit.org/)

> Select OpenSSH for the SSH Client and just put "ssh.exe"

|||
| -------- | -------- |
| ![Git-Bash-A.png](img/1.png) | ![Git-Bash-B.png](img/2.png) |
|![Git-Bash-C.png](img/3.png)|![Git-Bash-D.png](img/4.png)
|![Git-Bash-E.png](img/5.png)||

### Mac OS X

Download a Git installer [here](https://sourceforge.net/projects/git-osx-installer/).

> Keep all options "By default" during installation

Now, open a terminal and use Git as you do on Linux...

## Tricky commands

Here are a few commands that you may not know yet, or that offer options you haven’t been aware of so far.

[Tricky commands](tricky.md)
