# Git tutorial - session

We are going to do some exercises in this dummy project.

- [linux](./linux/)
- [windows](./windows/)

## Basics

We're going to learn what Git and GitHub are, how to set up a project, track changes, push code to GitHub, clone projects back down from GitHub into a local Git repository through your Git client (e.g. using TortoiseGit or GitBash), and even publish websites on GitHub Pages.

## Branching

The act of making multiple copies of the same code in the same project. Usually in order to do different things with the same code base, or to allow multiple people to work on the same code at the same time.

- Branch: Another copy of your code
- Master Branch: Like the "final draft" of your code.
- Feature Branches: A common term for branches that are not master. Usually branches meant for experimenting with new features before adding them to the final version of the project.
