#!/bin/bash
#
# PY Barriat, May 2022
#
# Download and install marp (MarkDown slides extension) from here:
# https://github.com/marp-team/marp-cli/releases
#
# Install npm (needed for mermaid: nice extension to make diagramm)
# npm i
#

# without mermaid

#marp --allow-local-files --theme tum.css git_elic.md -o git_elic.pdf
#marp --template bespoke --bespoke.progress --allow-local-files --theme tum.css git_elic.md -o git_elic.html

# with mermaid

npx marp --allow-local-files --theme ./assets/tum.css -c ./assets/marp.config.js ./git_elic.md -o git_elic.pdf
npx marp --template bespoke --bespoke.progress --allow-local-files --theme ./assets/tum.css -c ./assets/marp.config.js ./git_elic.md -o ./git_elic.html

